Community
OpenEnergyMonitor

Community

emonSD-26Oct17 ERROR: emonSD base image old or undefined…update will not continue

emonpi
emoncms
Tags: #<Tag:0x00007f1bdc1620c0> #<Tag:0x00007f1bdc161f80>

(Glyn Hudson) #1

Anu users running emonSD-26Oct17 who updated their emonPi / emonSD / emonBase between 17th October and 21st October 2018 will see this error in the emonPi update log “ERROR: emonSD base image old or undefined…update will not continue”

This error was caused by myself accidentally removing update script support for the emonSD-26Oct17. This issue has now been fixed thanks to @pb66. It’s now safe to go ahead an update.

However, any users who triggered an update between 17th October and 21st October 2018 will need to execute the following steps to re-enable update support:

Connect via SSH then temporarily change the emonSD version:

sudo mv /boot/emonSD-26Oct17 /boot/emonSD-13Jun18

Then run emonPi update via the web interface, it should run successfully. The emonSd version can then be reverted to avoid future confusion:

sudo mv /boot/emonSD-13Jun18 /boot/emonSD-26Oct17

I apologise for the inconvenience.


After update to 9.9.0 process list all unavaiblable